include:
  - project: 'sertiscorp/devops/gitlab-ci-templates'
    ref: master
    file: 'base.yaml'

Unit Test:
  stage: test
  image: node:14-alpine
  script:
    - yarn install
    - yarn run test
  rules:
    - if: '($CI_MERGE_REQUEST_SOURCE_BRANCH_NAME != "master" && $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == "develop") || $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: always
      allow_failure: false

Linting:
  stage: test
  image: node:14-alpine
  script:
    - yarn install --dev
    - yarn run lint
  rules:
    - if: '($CI_MERGE_REQUEST_SOURCE_BRANCH_NAME != "master" && $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == "develop") || $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: always
      allow_failure: false
